// SPDX-License-Identifier: Apache-2.0
import { Command } from "../../../../../../core/command/Command";
export class GrantRoleCommandResponse {
    payload;
    transactionId;
    constructor(payload, transactionId) {
        this.payload = payload;
        this.transactionId = transactionId;
    }
}
export class GrantRoleCommand extends Command {
    role;
    targetId;
    securityId;
    constructor(role, targetId, securityId) {
        super();
        this.role = role;
        this.targetId = targetId;
        this.securityId = securityId;
    }
}
